### Function

# Gtk render_icon

deprecated: 4.10

#### Declaration [src]

    void
    gtk_render_icon (
      GtkStyleContext* context,
      cairo_t* cr,
      GdkTexture* texture,
      double x,
      double y
    )

#### Description [src]

Renders the icon in `texture` at the specified `x` and `y` coordinates.

This function will render the icon in `texture` at exactly its size, regardless of scaling factors, which may not be appropriate when drawing on displays with high pixel densities.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`texture`

  Type: `GdkTexture`

  A `GdkTexture` containing the icon to draw.

  The data is owned by the caller of the function.

`x`

  Type: `double`

  X position for the `texture`.

`y`

  Type: `double`

  Y position for the `texture`.